variables:
  EXPORT_DIR: "/var/www/html/pages"

stages:
    - test
    - deploy
  
pages-test:
  stage: test
  script:
    - echo "Teste, ob Projektname gesetzt ist..."
    - (! grep 'projektname= ""' public/settings.js)
    - echo "Teste, ob Projektseitenlink gesetzt ist..."
    - (! grep 'projektseitenlink= ""' public/settings.js)
    - echo "Teste, ob Kontaktperson gesetzt ist..."
    - (! grep 'Max Mustermann' public/kontakt.html)
  only:
    - master
  
pages-master:
  stage: deploy
  script:
    - mkdir -p "$EXPORT_DIR/$CI_PROJECT_NAME"	
    - cp -r public/* "$EXPORT_DIR/$CI_PROJECT_NAME"
  tags: 
    - production
  only: 
    - master
